org.apache.hc.client5.http.impl.cookie

## Class IgnoreSpecSpec

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.AbstractCookieSpec
  - - org.apache.hc.client5.http.impl.cookie.CookieSpecBase
    - - org.apache.hc.client5.http.impl.cookie.IgnoreSpecSpec

All Implemented Interfaces:
  CookieSpec

    @Contract(threading=STATELESS)
    public class IgnoreSpecSpec
    extends CookieSpecBase

CookieSpec that ignores all cookies

Since:
  4.1

### Constructor Summary

Constructors
Constructor and Description
`IgnoreSpecSpec()`

### Method Summary

Methods
`List<org.apache.hc.core5.http.Header>` `formatCookies(List<Cookie> cookies)` Create `"Cookie"` headers for an array of Cookies.
`boolean` `match(Cookie cookie, CookieOrigin origin)` Determines if a Cookie matches the target location.
`List<Cookie>` `parse(org.apache.hc.core5.http.Header header, CookieOrigin origin)` Parse the `"Set-Cookie"` Header into an array of Cookies.

### Methods inherited from class org.apache.hc.client5.http.impl.cookie.CookieSpecBase

`getDefaultDomain, getDefaultPath, parse, validate`

### Methods inherited from class org.apache.hc.client5.http.impl.cookie.AbstractCookieSpec

`findAttribHandler, getAttribHandler, getAttribHandlers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreSpecSpec

    public IgnoreSpecSpec()

### Method Detail

#### parse

    public List<Cookie> parse(org.apache.hc.core5.http.Header header,
                     CookieOrigin origin)
                       throws MalformedCookieException

Description copied from interface: `CookieSpec`
Parse the `"Set-Cookie"` Header into an array of Cookies.

This method will not perform the validation of the resultant `Cookie`s

Parameters:
  `header` - the `Set-Cookie` received from the server
  `origin` - details of the cookie origin
Returns:
  an array of `Cookie`s parsed from the header
Throws:
  `MalformedCookieException` - if an exception occurs during parsing
See Also:
  `CookieSpec.validate(org.apache.hc.client5.http.cookie.Cookie, org.apache.hc.client5.http.cookie.CookieOrigin)`

#### match

    public boolean match(Cookie cookie,
                CookieOrigin origin)

Description copied from interface: `CookieSpec`
Determines if a Cookie matches the target location.

Specified by:
  `match` in interface `CookieSpec`
Overrides:
  `match` in class `CookieSpecBase`
Parameters:
  `cookie` - the Cookie to be matched
  `origin` - the target to test against
Returns:
  `true` if the cookie should be submitted with a request with given attributes, `false` otherwise.

#### formatCookies

    public List<org.apache.hc.core5.http.Header> formatCookies(List<Cookie> cookies)

Description copied from interface: `CookieSpec`
Create `"Cookie"` headers for an array of Cookies.

Parameters:
  `cookies` - the Cookies format into a Cookie header
Returns:
  a Header for the given Cookies.